org.richfaces.fragment.hotkey

## Class RichFacesHotkey

- java.lang.Object
- - org.richfaces.fragment.hotkey.RichFacesHotkey

- All Implemented Interfaces:
    AdvancedInteractions<RichFacesHotkey.AdvancedHotkeyInteractions>, Hotkey

      public class RichFacesHotkey
      extends Object
      implements Hotkey, AdvancedInteractions<RichFacesHotkey.AdvancedHotkeyInteractions>

  Automatically set hotkey from widget, if no hotkey from user is set.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesHotkey.AdvancedHotkeyInteractions`
    `static class` | `RichFacesHotkey.ModifierKeys`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesHotkey()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesHotkey.AdvancedHotkeyInteractions` | `advanced()`
    `protected org.openqa.selenium.interactions.Actions` | `getActions()`
    `void` | `invoke()` Invokes the hotkey on an element which is specified by selector attribute of hotkey, when the selector is empty, then the hotkey will be invoked on `body` element.
    `void` | `invoke(org.openqa.selenium.WebElement elementOrNull)` Invokes the hotkey on a specified element.
    `void` | `setHotkey(String hotkey)` Sets the hotkey which will be invoked
    `void` | `setSelector(String selector)` Sets the JQuery selector, by which the element on which the hotkey will be invoked, will be found.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesHotkey

          public RichFacesHotkey()

  - ### Method Detail

    - #### advanced

          public RichFacesHotkey.AdvancedHotkeyInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<RichFacesHotkey.AdvancedHotkeyInteractions>`

    - #### getActions

          protected org.openqa.selenium.interactions.Actions getActions()

    - #### invoke

          public void invoke()

      Description copied from interface: `Hotkey`
      Invokes the hotkey on an element which is specified by selector attribute of hotkey, when the selector is empty, then the hotkey will be invoked on `body` element.
      Specified by:
        `invoke` in interface `Hotkey`
      See Also:
        `Hotkey.setHotkey(java.lang.String)`, `Hotkey.setSelector(java.lang.String)`

    - #### invoke

          public void invoke(org.openqa.selenium.WebElement elementOrNull)

      Description copied from interface: `Hotkey`
      Invokes the hotkey on a specified element.
      Specified by:
        `invoke` in interface `Hotkey`
      Parameters:
        `elementOrNull` - element on which the hotkey will be invoked. In case the element is null, the actually focused element is used, otherwise the `body` element is used.
      See Also:
        `Hotkey.setHotkey(java.lang.String)`

    - #### setHotkey

          public void setHotkey(String hotkey)

      Description copied from interface: `Hotkey`
      Sets the hotkey which will be invoked
      Specified by:
        `setHotkey` in interface `Hotkey`
      Parameters:
        `hotkey` - key sequence which will be invoked, keys are separated with '+' sign and are in lowercase. For example: 'alt+x'.

    - #### setSelector

          public void setSelector(String selector)

      Description copied from interface: `Hotkey`
      Sets the JQuery selector, by which the element on which the hotkey will be invoked, will be found.
      Specified by:
        `setSelector` in interface `Hotkey`
      Parameters:
        `selector` - JQuery selector to locate element on which the hotkey will be applied

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.